Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Interface EntityElement

All Superinterfaces:
  MetaAttributeContainer

All Known Subinterfaces:
  SubEntityElement

All Known Implementing Classes:
  JaxbHibernateMapping.JaxbClass, JaxbJoinedSubclassElement, JaxbSubclassElement, JaxbUnionSubclassElement

    public interface EntityElement

extends MetaAttributeContainer

Method Summary
`String` | `getBatchSize()`
`String` | `getEntityName()`
`List<JaxbFetchProfileElement>` | `getFetchProfile()`
`JaxbLoaderElement` | `getLoader()`
`String` | `getName()`
`String` | `getPersister()`
`List<Object>` | `getPropertyOrManyToOneOrOneToOne()`
`String` | `getProxy()`
`List<Object>` | `getQueryOrSqlQuery()`
`List<JaxbResultsetElement>` | `getResultset()`
`JaxbSqlDeleteElement` | `getSqlDelete()`
`JaxbSqlInsertElement` | `getSqlInsert()`
`JaxbSqlUpdateElement` | `getSqlUpdate()`
`List<JaxbSynchronizeElement>` | `getSynchronize()`
`List<JaxbTuplizerElement>` | `getTuplizer()`
`Boolean` | `isAbstract()`
`boolean` | `isDynamicInsert()`
`boolean` | `isDynamicUpdate()`
`Boolean` | `isLazy()`
`boolean` | `isSelectBeforeUpdate()`

Methods inherited from interface org.hibernate.internal.jaxb.mapping.hbm.MetaAttributeContainer
`getMeta`

Method Detail

### getName

    String getName()

### getEntityName

    String getEntityName()

### isAbstract

    Boolean isAbstract()

### isLazy

    Boolean isLazy()

### getProxy

    String getProxy()

### getBatchSize

    String getBatchSize()

### isDynamicInsert

    boolean isDynamicInsert()

### isDynamicUpdate

    boolean isDynamicUpdate()

### isSelectBeforeUpdate

    boolean isSelectBeforeUpdate()

### getTuplizer

    List<JaxbTuplizerElement> getTuplizer()

### getPersister

    String getPersister()

### getLoader

    JaxbLoaderElement getLoader()

### getSqlInsert

    JaxbSqlInsertElement getSqlInsert()

### getSqlUpdate

    JaxbSqlUpdateElement getSqlUpdate()

### getSqlDelete

    JaxbSqlDeleteElement getSqlDelete()

### getSynchronize

    List<JaxbSynchronizeElement> getSynchronize()

### getFetchProfile

    List<JaxbFetchProfileElement> getFetchProfile()

### getResultset

    List<JaxbResultsetElement> getResultset()

### getQueryOrSqlQuery

    List<Object> getQueryOrSqlQuery()

### getPropertyOrManyToOneOrOneToOne

    List<Object> getPropertyOrManyToOneOrOneToOne()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.